#! /bin/sh

usage() {
    echo "usage: start_gui.sh <server cpu name>  <port number>"
    echo "    <server cpu name>  : name of the cpu where the server is running"
    echo "    <port number>      : port number used by the server"
    exit
}

if [ $# -ne 2 ]; then
  usage
fi

# Check kernel version on CPU
printf "Looking for CPU kernel type... "
RT=$(/bin/uname -r | grep rt)
if [ -z $RT ]; then
  printf "non-RT kernel, using rhel6-x86_64\n"
else
  printf "Error! RT kernel detected\n"
  printf "The GUI must be run on a regular RHEL CPU\n"
  exit
fi

CPU=$1
PORT=$2

printf "Testing connection with $CPU... "
if ! /bin/ping -c 1 $CPU &> /dev/null ; then
  printf "CPU unreachable!\n"
  exit
else
  printf "Done!\n"
fi

# start control server
START_CMD="rhel6-x86_64/bin/cntrlGui $CPU $PORT"
echo $START_CMD
$START_CMD
